[ARM Unstable Update] December 2023

Hi ARM community,

we updated a lot of packages.

Some highlights are:

  • Some Kernels
  • Plasma 5.27.10
  • KDE Gear 23.08.4
  • Firefox 120.0.1 and Thunderbird 115.5.1
  • Pipewire 1.0
  • LibreOffice 7.6.4 and 7.5.9
  • MauiKit 3.0.2
  • Phosh and Phoc 0.33.0
  • Qemu 8.1.3
  • Cinnamon 6.0
  • Mesa 23.3.0

Report any issues you may find so far.

2 Likes

GT KIng Pro-KDE-linux-aml-6.1.58-1 upgraded successfully. All seems to work. Just that both Chromium and Firefox takes a long time to load “forum.manjaro.org”.

image

1 Like

mesa-23.3.0, where did it come from?

You can follow up on our mesa commits here: manjaro-arm / packages / extra / mesa · GitLab

I find the repository description “Keep as we don’t enable the patent encumbered codecs” interesting. Manjaro is shipping software implementations of those very same codecs (e.g., FFmpeg, x264, etc.), so why are the hardware-accelerated versions an issue? Especially considering that the software implementations actually implement the patents, the hardware-accelerated ones only call into the hardware for that.

I just updated to the unstable branch on Pinephone on a MicroSD and i got a boot loop. Everything was fine with testing or stable.

It seems Phoc is trying to find libwlroots.so.11 but on /usr/lib there’s only libwlroots.so.12.

dic 09 19:09:25 manjaro-phosh phosh-session[6171]: /usr/bin/phoc: error while loading shared libraries: libwlroots.so.11: cannot ope>
dic 09 19:09:25 manjaro-phosh systemd[1]: phosh.service: Main process exited, code=exited, status=127/n/a
dic 09 19:09:25 manjaro-phosh systemd[1]: phosh.service: Failed with result 'exit-code'.
dic 09 19:09:25 manjaro-phosh systemd[1]: phosh.service: Triggering OnFailure= dependencies.
dic 09 19:09:25 manjaro-phosh systemd[1]: session-c279.scope: Deactivated successfully.
dic 09 19:09:25 manjaro-phosh systemd-logind[3627]: Session c279 logged out. Waiting for processes to exit.
dic 09 19:09:25 manjaro-phosh systemd[1]: Started Getty on tty1.
dic 09 19:09:25 manjaro-phosh systemd-logind[3627]: Removed session c279.
dic 09 19:09:27 manjaro-phosh eg25-manager[3623]: Rescheduling upload since Location interface is not available, in 30s

With Manjaro Phosh Beta 36 iso happens the same, not with 35.

I pushed a new phoc update to unstable. Beta36 I didn’t test yet, hence no changelog …

GT King Pro-KDE-linux-aml-6.1.58-1 Unstable Branch upgraded successfully 2023-12-28.

image

Firefox-121.0 Wayland session seems to work fine so far.

1 Like

My Orange pi 800 system the 32 GB Version, does not have Real Time Clock 808, and so far any unstable releases from 2024, breaks my system and the earlier versions i cannot install anything on the old kernel, it goes into error with PGP, this is my output for KDE Plasma, Gnome, and Mate i have tried with no success.

resolving dependencies...
looking for conflicting packages...
 
Packages (10) firefox-ublock-origin-1.55.0-1  fontconfig-2:2.15.0-2  iputils-20231222-2  libcap-ng-0.8.4-1
              linux-opi-6.6.10-1  linux-opi-headers-6.6.10-1  lz4-1:1.9.4-2  mesa-23.3.2-2
              python-capng-0.8.4-1  python-psutil-5.9.7-1
 
Total Download Size:   106.19 MiB
Total Installed Size:  247.26 MiB
Net Upgrade Size:        8.06 MiB
 
:: Proceed with installation? [Y/n] y
:: Retrieving packages...
 python-psutil-5.9.7-1-aarch64         454.8 KiB   395 KiB/s 00:01 [####################################] 100%
 fontconfig-2:2.15.0-2-aarch64         349.1 KiB   289 KiB/s 00:01 [####################################] 100%
 firefox-ublock-origin-1.55.0-1-any      3.3 MiB  1002 KiB/s 00:03 [####################################] 100%
 lz4-1:1.9.4-2-aarch64                 124.3 KiB   191 KiB/s 00:01 [####################################] 100%
 libcap-ng-0.8.4-1-aarch64              40.9 KiB   454 KiB/s 00:00 [####################################] 100%
 python-capng-0.8.4-1-aarch64           18.9 KiB   210 KiB/s 00:00 [####################################] 100%
 iputils-20231222-2-aarch64            112.3 KiB   401 KiB/s 00:00 [####################################] 100%
 linux-opi-headers-6.6.10-1-aarch64     26.8 MiB  1364 KiB/s 00:20 [####################################] 100%
 mesa-23.3.2-2-aarch64                  25.8 MiB  1036 KiB/s 00:26 [####################################] 100%
 linux-opi-6.6.10-1-aarch64             49.2 MiB  1920 KiB/s 00:26 [####################################] 100%
 Total (10/10)                         106.2 MiB  4.04 MiB/s 00:26 [####################################] 100%
(10/10) checking keys in keyring                                   [####################################] 100%
(10/10) checking package integrity                                 [####################################] 100%
(10/10) loading package files                                      [####################################] 100%
(10/10) checking for file conflicts                                [####################################] 100%
(10/10) checking available disk space                              [####################################] 100%
:: Processing package changes...
( 1/10) upgrading firefox-ublock-origin                            [####################################] 100%
( 2/10) upgrading fontconfig                                       [####################################] 100%
Rebuilding fontconfig cache...
( 3/10) upgrading libcap-ng                                        [####################################] 100%
( 4/10) upgrading iputils                                          [####################################] 100%
( 5/10) upgrading lz4                                              [####################################] 100%
( 6/10) upgrading linux-opi                                        [####################################] 100%
( 7/10) upgrading linux-opi-headers                                [####################################] 100%
( 8/10) upgrading mesa                                             [####################################] 100%
( 9/10) upgrading python-capng                                     [####################################] 100%
(10/10) upgrading python-psutil                                    [####################################] 100%
:: Running post-transaction hooks...
(1/5) Arming ConditionNeedsUpdate...
(2/5) Updating module dependencies...
(3/5) Updating linux-opi module dependencies...
(4/5) Updating linux-opi initcpios...
==> Building image from preset: /etc/mkinitcpio.d/linux-opi.preset: 'default'
==> Using configuration file: '/etc/mkinitcpio.conf'
  -> -k 6.6.10-1-MANJARO-ARM -c /etc/mkinitcpio.conf -g /boot/initramfs-linux.img
==> Starting build: '6.6.10-1-MANJARO-ARM'
  -> Running build hook: [base]
  -> Running build hook: [udev]
  -> Running build hook: [autodetect]
  -> Running build hook: [modconf]
  -> Running build hook: [kms]
  -> Running build hook: [keyboard]
  -> Running build hook: [keymap]
  -> Running build hook: [consolefont]
==> WARNING: consolefont: no font found in configuration
  -> Running build hook: [block]
  -> Running build hook: [filesystems]
  -> Running build hook: [fsck]
==> ERROR: module not found: 'rtc_rk808'
==> Generating module dependencies
==> Creating gzip-compressed initcpio image: '/boot/initramfs-linux.img'
==> WARNING: errors were encountered during the build. The image may not be complete.
error: command failed to execute correctly
(5/5) Updating fontconfig cache...

Hi Everybody,

@philm ,

Here what I have when I ran the last unstable branch update this day on ODROID-M1 :

mkinitcpio -P :

==> Building image from preset: /etc/mkinitcpio.d/linux.preset: 'default'
==> Using configuration file: '/etc/mkinitcpio.conf'
  -> -k 6.6.10-1-MANJARO-ARM -c /etc/mkinitcpio.conf -g /boot/initramfs-linux.img
od: '/boot/vmlinuz-*': Aucun fichier ou dossier de ce type
od: '/boot/vmlinuz-*': Aucun fichier ou dossier de ce type
od: '/boot/vmlinuz-*': Aucun fichier ou dossier de ce type
od: '/boot/vmlinuz-*': Aucun fichier ou dossier de ce type
od: '/boot/vmlinuz-*': Aucun fichier ou dossier de ce type
od: '/boot/vmlinuz-*': Aucun fichier ou dossier de ce type
od: '/boot/vmlinuz-*': Aucun fichier ou dossier de ce type
od: '/boot/vmlinuz-*': Aucun fichier ou dossier de ce type
od: '/boot/vmlinuz-*': Aucun fichier ou dossier de ce type
od: '/boot/vmlinuz-*': Aucun fichier ou dossier de ce type
od: '/boot/vmlinuz-*': Aucun fichier ou dossier de ce type
od: '/boot/vmlinuz-*': Aucun fichier ou dossier de ce type
od: '/boot/vmlinuz-*': Aucun fichier ou dossier de ce type
od: '/boot/vmlinuz-*': Aucun fichier ou dossier de ce type
cat: '/boot/vmlinuz-*': Aucun fichier ou dossier de ce type
==> WARNING: Could not find kernel image for version 6.6.10-1-MANJARO-ARM
==> Starting build: '6.6.10-1-MANJARO-ARM'
  -> Running build hook: [systemd]
  -> Running build hook: [autodetect]
  -> Running build hook: [modconf]
  -> Running build hook: [block]
  -> Running build hook: [keyboard]
  -> Running build hook: [sd-vconsole]
  -> Running build hook: [filesystems]
  -> Running build hook: [fsck]
==> WARNING: Possibly missing firmware for module: 'rockchipdrm'
==> Generating module dependencies
==> Creating zstd-compressed initcpio image: '/boot/initramfs-linux.img'
==> Image generation successful

Wish You well


Moderator edit: In the future, please use proper formatting: [HowTo] Post command output and file content as formatted text

mkinitcpio updated. I see most of the same on the rpi5:

https://forum.manjaro.org/t/rpi5-error-on-update-fails-to-build-images-from-preset/155244/2

@Darksky ,

My ODROID-M1 still booting but that’s odd that mkinitcpio looking for vmlinuz. Maybe an upstream mistake?

Had You pushed an mkinitcpio update to the unstable branch?

Wish You well

Mine boots just fine also. It is searching for known kernel image names to use. It does actually use the correct one in the end. They have done that before and and quieted it. We do not maintain mkinitcpio; arch-arm does.

1 Like

@Darksky ,

OK! I see.

Thanks for your clarifications! :slight_smile:

Wish You well

I saw the same output on my PinePhone and Pinebook Pro. They both updated and rebooted successfully despite the “errors”.

…until @philm added patches with 37.2-1.3. :wink:

2 Likes

Seems the x64 mkinitcpio is not compatible with ARM. I’ve to patch the version from ALARM to fix our extramodules situation, which is rare here anyway. Thx for reporting. Hope everyone could recover their systems.

1 Like

GT King Pro upgraded successfully on Unstable Branch.

1 Like